%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:           mate-screensaver
Version: 1.24.2
Release: %mkrel 1
Summary:        MATE Screensaver
License:        GPLv2+ and LGPLv2+
Group:          Graphical desktop/MATE
URL:            http://pub.mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1:        xscreensaver-themed.desktop.in
Source2:        mate-screensaver-mga.gschema.override
# (vdanen) drops setgid calls to work with tcb auth
Patch0:         mate-screensaver-1.19.0-mga-drop_setgid.patch

BuildRequires: intltool
BuildRequires: pam-devel
BuildRequires: pkgconfig(dbus-glib-1) >= 0.30
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: pkgconfig(libmate-menu) >= 1.22.0
BuildRequires: pkgconfig(libmatekbdui) >= 1.22.0
BuildRequires: pkgconfig(libnotify)
BuildRequires: pkgconfig(mate-desktop-2.0) >= 1.22.0
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xxf86misc)
BuildRequires: pkgconfig(xxf86vm)
BuildRequires: pkgconfig(xtst)
BuildRequires: pkgconfig(systemd)
BuildRequires: pkgconfig(xscrnsaver)
BuildRequires: pkgconfig(x11) >= 1.0
BuildRequires: libxml2-utils

Requires:   gnome-keyring
Requires:   mate-backgrounds
Requires:   mate-power-manager
Requires:   libxslt-proc
Requires:   dbus-x11
Requires:   mageia-theme-screensavers

%description
mate-screensaver is a screen saver and locker that aims to have
simple, sane, secure defaults and be well integrated with the desktop.

%package devel
Summary: Development files for mate-screensaver
Group:   Development/C
Requires: %{name} = %{version}

%description devel
Development files for mate-screensaver

%prep
%autosetup -p1

%build
%configure                      \
            --with-x                \
            --disable-schemas-compile \
            --with-mit-ext          \
            --with-xf86gamma-ext    \
            --with-libgl            \
            --with-shadow           \
            --enable-locking        \
            --with-systemd          \
            --enable-pam
%make_build

%install
%make_install

sed -ie 's@XSL=${DIST_BIN}/xscreensaver-config.xsl@XSL=%{_datadir}/mate-screensaver/xscreensaver-config.xsl@' \
        data/migrate-xscreensaver-config.sh
sed -ie 's@b=`basename ${FILE} .xml`@b=xscreensaver-`basename ${FILE} .xml`@' \
        data/migrate-xscreensaver-config.sh

install -m755 data/migrate-xscreensaver-config.sh %{buildroot}%{_datadir}/mate-screensaver
install -m644 data/xscreensaver-config.xsl %{buildroot}%{_datadir}/mate-screensaver

# Add Magia default screensaver
install -m644 %{_sourcedir}/xscreensaver-themed.desktop.in %{buildroot}%{_datadir}/applications/screensavers/xscreensaver-themed.desktop

# Do we need this doc?
rm -fr %{buildroot}%{_docdir}/mate-screensaver-1.6.0

%find_lang %{name} --with-gnome

%triggerin -- xscreensaver-base xscreensaver-gl xscreensaver-extrusion xscreensaver-matrix
(  cd %{_datadir}/applications/screensavers ; \
  for f in %{_datadir}/xscreensaver/config/*.xml; do
    %{_datadir}/mate-screensaver/migrate-xscreensaver-config.sh $f > /dev/null 2>&1
  done)

%triggerun -- xscreensaver-base
[ "$2" = 0 ] || exit 0
(cd %{_datadir}/applications/screensavers; \
for f in $(rpm -ql xscreensaver-base | grep '%{_datadir}/xscreensaver/config/'); do
  rm -f xscreensaver-$(basename $f .xml).desktop
done)

%triggerun -- xscreensaver-gl
[ "$2" = 0 ] || exit 0
(cd %{_datadir}/applications/screensavers; \
for f in $(rpm -ql xscreensaver-gl | grep '%{_datadir}/xscreensaver/config/'); do
  rm -f xscreensaver-$(basename $f .xml).desktop
done)

%triggerun -- xscreensaver-extrusion
[ "$2" = 0 ] || exit 0
(cd %{_datadir}/applications/screensavers; \
for f in $(rpm -ql xscreensaver-extrusion | grep '%{_datadir}/xscreensaver/config/'); do
  rm -f xscreensaver-$(basename $f .xml).desktop
done)

%triggerun -- xscreensaver-matrix
[ "$2" = 0 ] || exit 0
(cd %{_datadir}/applications/screensavers; \
for f in $(rpm -ql xscreensaver-matrix | grep '%{_datadir}/xscreensaver/config/'); do
  rm -f xscreensaver-$(basename $f .xml).desktop
done)

%files -f %{name}.lang
%doc AUTHORS NEWS README COPYING
%{_bindir}/mate-screensaver*
%config(noreplace) %{_sysconfdir}/pam.d/mate-screensaver
%config(noreplace) %{_sysconfdir}/xdg/menus/mate-screensavers.menu
%{_sysconfdir}/xdg/autostart/mate-screensaver.desktop
%{_libexecdir}/mate-screensaver-*
%{_libexecdir}/mate-screensaver
%{_datadir}/applications/mate-screensaver-preferences.desktop
%{_datadir}/applications/screensavers/*.desktop
%{_datadir}/mate-screensaver
%{_datadir}/backgrounds/cosmos/
%{_datadir}/pixmaps/*-logo-white.svg
%{_datadir}/desktop-directories/mate-screensaver.directory
%{_datadir}/glib-2.0/schemas/org.mate.screensaver.gschema.xml
%{_datadir}/mate-background-properties/cosmos.xml
%{_datadir}/dbus-1/services/org.mate.ScreenSaver.service
%{_mandir}/man1/*

%files devel
%{_libdir}/pkgconfig/*


%changelog
* Mon Apr 05 2021 kekepower <kekepower> 1.24.2-1.mga8
+ Revision: 1713688
- Update to version 1.24.2

* Mon Aug 24 2020 kekepower <kekepower> 1.24.1-1.mga8
+ Revision: 1618703
- Update to version 1.24.1

* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1548107
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488827
- Update to version 1.24.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 10 2019 kekepower <kekepower> 1.22.2-1.mga8
+ Revision: 1465685
- Update to version 1.22.2

* Fri May 10 2019 kekepower <kekepower> 1.22.1-1.mga7
+ Revision: 1397038
- Update to version 1.22.1

* Wed Mar 13 2019 kekepower <kekepower> 1.22.0-1.mga7
+ Revision: 1375507
- Update to version 1.22.0

* Sun Dec 23 2018 kekepower <kekepower> 1.20.3-1.mga7
+ Revision: 1344606
- Update to version 1.20.3

* Sat Dec 01 2018 kekepower <kekepower> 1.20.2-1.mga7
+ Revision: 1337262
- Update to version 1.20.2
- Rolled back to r1299478

* Mon Nov 26 2018 kekepower <kekepower> 1.21.0-1.mga7
+ Revision: 1335524
- Update to version 1.21.0

* Sun Sep 23 2018 umeabot <umeabot> 1.20.0-2.mga7
+ Revision: 1299478
- Mageia 7 Mass Rebuild

* Thu Feb 15 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7
+ Revision: 1201386
- Updated to 1.20.0 version

* Sat Dec 30 2017 tarakbumba <tarakbumba> 1.19.1-1.mga7
+ Revision: 1187454
- Updated to 1.19.1 version

* Sat Oct 28 2017 tarakbumba <tarakbumba> 1.19.0-1.mga7
+ Revision: 1174494
- Updated to 1.19.0 version
- Updated to 1.18.1 version

* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092586
- Update to 1.18.0 version
- Updated to 1.17.1 version
- Update to 1.17.0 version

* Tue Dec 13 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1074709
- new verson 1.16.0
- build with gtk3

* Sun Sep 18 2016 akien <akien> 1.14.1-2.mga6
+ Revision: 1053698
- s/mageia-theme-Default/mageia-theme/

* Sun May 22 2016 tarakbumba <tarakbumba> 1.14.1-1.mga6
+ Revision: 1017846
- Update to 1.14.1 version

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001250
- Update to 1.14.0 version

* Mon Feb 08 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 948152
- Update to 1.13.0 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898516
-Update to 1.12.0 version

* Sat Sep 05 2015 wally <wally> 1.10.2-1.mga6
+ Revision: 872987
- new version 1.10.2

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.1-1.mga6
+ Revision: 837909
- Update to 1.10.1 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-2.mga5
+ Revision: 744889
- Second Mageia 5 Mass Rebuild

* Mon Sep 29 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 731807
- Update to 1.8.1 version
- Use autosetup macro in specfile

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-3.mga5
+ Revision: 682201
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 colin <colin> 1.8.0-2.mga5
+ Revision: 672044
- Rebuild for new systemd

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600097
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598055
- Update to 1.7.x version

* Thu Feb 06 2014 tarakbumba <tarakbumba> 1.6.2-1.mga5
+ Revision: 584780
-Update to bugfix version: 1.6.2
-Drop mate-screensaver-1.6.0-mga-default.patch
-Drop upstream patches
-Add gscheme.override for default mageia options

* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-2.mga4
+ Revision: 531776
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 diogenese <diogenese> 1.6.1-1.mga4
+ Revision: 464767
- updated sources to 1.6.1 and removed upstream patch

* Thu Jun 20 2013 tarakbumba <tarakbumba> 1.6.0-1.mga4
+ Revision: 445269
- imported package mate-screensaver

